<?php



# Exit if accessed directly				

if (!defined('ABSPATH')){ exit(); }	



###################################################

# extend wp-cli to purge cache, usage: wp codefonline purge

###################################################

codefusiononline

# only for wp-cli

if ( defined( 'WP_CLI' ) && WP_CLI ) {



	class fastvelocity_WPCLI {
codefusiononline


		# purge files + cache

		public function purge() {

			WP_CLI::success( __( 'codefonline and other caches were purged.', 'codefusiononline' ) );
codefusiononline
			codefonline_purge_static_files();

			codefonline_purge_others();	

			

			# purge everything

			$cache = codefonline_purge_static_files();

			$others = codefonline_purge_others();

			

			# notices

			WP_CLI::success( __( 'codefonline: All Caches are now cleared.', 'codefusiononline' ) .' ('.date("D, d M Y @ H:i:s e").')');

			if(is_string($cache)) { WP_CLI::warning($cache); }

			if(is_string($others)) { WP_CLI::success($others); }

					

		}

		

		# get cache size

		public function stats() {

			WP_CLI::error( __( 'This feature is currently under development.', 'codefusiononline' ) );

		}	

		

	}



	# add commands

	WP_CLI::add_command( 'codefonline', 'fastvelocity_WPCLI' );



}



