<?php if( $active_tab == 'settings' ) { ?>

<div class="codefonline-wrapper">



<form method="post" id="codefonline-save-changes">

			

<?php

	# nounce

	wp_nonce_field('codefonline_settings_nonce', 'codefonline_settings_nonce');

?>

<div id="tab1" class="tab-content" style="display: block;">
<h2 class="title"><?php _e( 'Global Settings', 'codefusiononline' ); ?></h2>

<h3 class="codefonline-bold-green"><?php _e( "Settings refer to the configurations that impact the entire plugin's behavior.", "codefusiononline" ); ?></h3>



<table class="form-table codefonline-settings">

<tbody>



<tr>

<th scope="row"><?php _e( 'Genral Setting', 'codefusiononline' ); ?></th>

<td>

<p class="codefonline-bold-green codefonline-rowintro"><?php _e( 'key and lazyload', 'codefusiononline' ); ?></p>

<fieldset>

<label for="codefonline_settings_cache_min_instant_purge">

<input name="codefonline_settings[site][key]" type="text" id="codefonline_settings_cache_min_instant_purge" value="<?php echo codefonline_get_settings_value($codefonline_settings, 'site', 'key'); ?>">

<?php _e( 'Your site key', 'codefusiononline' ); ?> <span class="note-info">[ <?php _e( 'You can get key from https://codefusiononle.com', 'codefusiononline' ); ?> ]</span></label>

<br />



</fieldset></td>

</tr>

<tr>

<td>

<p class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Force Lazyload Css', 'codefusiononline' ); ?></p>

<fieldset>

<label for="codefonline_settings_cache_min_instant_purge">

<input name="codefonline_settings[lazyload][css]" type="checkbox" id="codefonline_settings_cache_min_instant_purge" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'lazyload', 'css')); ?>>

<?php _e( 'Enable Force Lazyload Css', 'codefusiononline' ); ?></label>

<br />

</fieldset></td>

</tr>

<tr>

<td>

<p class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Force Lazyload Js', 'codefusiononline' ); ?></p>

<fieldset>

<label for="codefonline_settings_cache_min_instant_purge">

<input name="codefonline_settings[lazyload][js]" type="checkbox" id="codefonline_settings_cache_min_instant_purge" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'lazyload', 'js')); ?>>

<?php _e( 'Enable Force Lazyload Js', 'codefusiononline' ); ?></label>

<br />

</fieldset></td>

</tr>

<tr>

<td>

<p class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Force Lazyload Image', 'codefusiononline' ); ?></p>

<fieldset>

<label for="codefonline_settings_cache_min_instant_purge">

<input name="codefonline_settings[lazyload][image]" type="checkbox" id="codefonline_settings_cache_min_instant_purge" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'lazyload', 'image')); ?>>

<?php _e( 'Enable Force Lazyload Image', 'codefusiononline' ); ?></label>

<br />

</fieldset></td>

</tr>

<tr>

<td>

<p class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Force Lazyload Video', 'codefusiononline' ); ?></p>

<fieldset>

<label for="codefonline_settings_cache_min_instant_purge">

<input name="codefonline_settings[lazyload][video]" type="checkbox" id="codefonline_settings_cache_min_instant_purge" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'lazyload', 'video')); ?>>

<?php _e( 'Enable Force Lazyload Video', 'codefusiononline' ); ?></label>

<br />

</fieldset></td>

</tr>

<tr>

<td>

<p class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Force Lazyload Iframe', 'codefusiononline' ); ?></p>

<fieldset>

<label for="codefonline_settings_cache_min_instant_purge">

<input name="codefonline_settings[lazyload][iframe]" type="checkbox" id="codefonline_settings_cache_min_instant_purge" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'lazyload', 'iframe')); ?>>

<?php _e( 'Enable Force Lazyload Iframe', 'codefusiononline' ); ?></label>

<br />

</fieldset></td>

</tr>

<tr>

<th scope="row"><?php _e( 'Custom CSS', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_custom_css"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( "Add Custom CSS", 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[custom][css]" rows="7" cols="50" id="codefonline_settings_custom_css" class="large-text code" placeholder=" * {  }"><?php echo codefonline_get_settings_value($codefonline_settings, 'custom', 'css'); ?></textarea></p>

<p class="description">[ <?php _e( 'include with critical css' ); ?> ]</p>



</fieldset></td>

</tr>

<tr>

<th scope="row"><?php _e( 'Custom JS', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_custom_js"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( "Add Custom JS", 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[custom][js]" rows="7" cols="50" id="codefonline_settings_custom_js" class="large-text code" placeholder="var xyz = 1;"><?php echo codefonline_get_settings_value($codefonline_settings, 'custom', 'js'); ?></textarea></p>

<p class="description">[ <?php _e( 'Inserted In Footer' ); ?> ]</p>



</fieldset></td>

</tr>

</tbody>

</table>
</div>
<div id="tab2" class="tab-content" style="display: none;">

<table class="form-table codefonline-settings">

<tbody>



<tr>

<th scope="row"><?php _e( 'Global Options', 'codefusiononline' ); ?></th>

<td>



<fieldset>

<label for="codefonline_settings_cache_min_instant_purge">

<input name="codefonline_settings[cache][min_instant_purge]" type="checkbox" id="codefonline_settings_cache_min_instant_purge" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'cache', 'min_instant_purge')); ?>>

<?php _e( 'Instantly purge minified CSS/JS files.', 'codefusiononline' ); ?> <span class="note-info">[ <?php _e( 'By default, CSS and JS cache files are retained for 7 days to ensure compatibility with certain hosting providers.', 'codefusiononline' ); ?> ]</span></label>

<br />



</fieldset></td>

</tr>



</tbody>

</table>
</div>

<div id="tab3" class="tab-content" style="display: none;">


<h2 class="title"><?php _e( 'HTML  Settings', 'codefusiononline' ); ?></h2>

<h3 class="codefonline-bold-green"><?php _e( 'Streamline your HTML and eliminate unnecessary elements to enhance page performance and cleanliness.', 'codefusiononline' ); ?></h3>



<table class="form-table codefonline-settings">

<tbody>



<tr>

<th scope="row"><?php _e( 'HTML Options', 'codefusiononline' ); ?></th>

<td>


<fieldset>

<label for="codefonline_settings_html_enable">

<input name="codefonline_settings[html][enable]" type="checkbox" id="codefonline_settings_html_enable" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'html', 'enable')); ?>>

<?php _e( 'Activate HTML optimization to improve structure and reduce unnecessary code.', 'codefusiononline' ); ?></label>

<br />



<label for="codefonline_settings_html_nocomments">

<input name="codefonline_settings[html][nocomments]" type="checkbox" id="codefonline_settings_html_nocomments" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'html', 'nocomments')); ?>>

<?php _e( 'Remove HTML comments to reduce page size and improve loading performance.', 'codefusiononline' ); ?></label>

<br />



<label for="codefonline_settings_html_cleanup_header">

<input name="codefonline_settings[html][cleanup_header]" type="checkbox" id="codefonline_settings_html_cleanup_header" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'html', 'cleanup_header')); ?>>

<?php _e( 'Eliminates unnecessary meta tags and resource hints like generator tags, shortlinks, and manifest links to streamline the HTML and improve performance.', 'codefusiononline' ); ?></label>

<br />



<label for="codefonline_settings_html_disable_emojis">

<input name="codefonline_settings[html][disable_emojis]" type="checkbox" id="codefonline_settings_html_disable_emojis" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'html', 'disable_emojis')); ?>>

<?php _e( 'Disables the default emoji scripts and styles included by WordPress to reduce unnecessary resources and improve page load speed.', 'codefusiononline' ); ?></label>

<br />



</fieldset></td>

</tr>



<tr>

<th scope="row"><?php _e( 'Advanced HTML Options', 'codefusiononline' ); ?></th>

<td>


<fieldset>

<label for="codefonline_settings_html_min_disable">

<input name="codefonline_settings[html][min_disable]" type="checkbox" id="codefonline_settings_html_min_disable" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'html', 'min_disable')); ?>>

<?php _e( 'This option turns off HTML minification to ensure compatibility with certain features or hosting environments that may not work well with minified HTML.', 'codefusiononline' ); ?></label>

<br />



</fieldset></td>

</tr>



</tbody>

</table>

</div>
<div id="tab4" class="tab-content" style="display: none;">
<div style="height: 60px;"></div>

<h2 class="title"><?php _e( 'CSS Settings', 'codefusiononline' ); ?></h2>

<h3 class="codefonline-bold-green"><?php _e( 'Optimize your CSS and styles settings to improve page load times and enhance performance by reducing file size, removing unused styles, and ensuring efficient delivery of critical CSS.', 'codefusiononline' ); ?></h3>



<table class="form-table codefonline-settings">

<tbody>



<tr>

<th scope="row"><?php _e( 'CSS Options', 'codefusiononline' ); ?></th>

<td>


<fieldset>

<label for="codefonline_settings_css_enable">

<input name="codefonline_settings[css][enable]" type="checkbox" id="codefonline_settings_css_enable" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'css', 'enable')); ?>>

<?php _e( 'Activate CSS processing to apply the settings listed below for optimizing and refining your styles.', 'codefusiononline' ); ?></label>

<br />



<label for="codefonline_settings_css_fonts">

<input name="codefonline_settings[css][fonts]" type="checkbox" id="codefonline_settings_css_fonts" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'css', 'fonts')); ?>>

<?php _e( 'Combine fonts and icons into a distinct CSS file for better organization and performance.', 'codefusiononline' ); ?></label>

<br />



<label for="codefonline_settings_css_noprint">

<input name="codefonline_settings[css][noprint]" type="checkbox" id="codefonline_settings_css_noprint" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'css', 'noprint')); ?>>

<?php _e( 'Eliminate "Print" CSS files (media type "print") from the frontend to streamline the page.', 'codefusiononline' ); ?></label>

<br />



</fieldset></td>

</tr>



<tr>

<th scope="row"><?php _e( 'Advanced CSS Options', 'codefusiononline' ); ?></th>

<td>

<fieldset>

<label for="codefonline_settings_css_combine">

<input name="codefonline_settings[css][combine]" type="checkbox" id="codefonline_settings_css_combine" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'css', 'combine')); ?>>

<?php _e( 'Consolidate CSS Files (Deprecated: Combines all CSS files by media type groups in the header, not recommended for HTTP/2 servers).', 'codefusiononline' ); ?></label>

<br />



<label for="codefonline_settings_css_min_disable">

<input name="codefonline_settings[css][min_disable]" type="checkbox" id="codefonline_settings_css_min_disable" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'css', 'min_disable')); ?>>

<?php _e( 'Turn Off CSS Minification (Disables the minification of CSS files for compatibility reasons).', 'codefusiononline' ); ?></label>

<br />



<label for="codefonline_settings_css_min_disable_styles">

<input name="codefonline_settings[css][min_disable_styles]" type="checkbox" id="codefonline_settings_css_min_disable_styles" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'css', 'min_disable_styles')); ?>>

<?php _e( 'Turn Off CSS Styles Minification (Disables the minification of CSS styles for compatibility reasons).', 'codefusiononline' ); ?></label>

<br />



<label for="codefonline_settings_css_nopreload">

<input name="codefonline_settings[css][nopreload]" type="checkbox" id="codefonline_settings_css_nopreload" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'css', 'nopreload')); ?>>

<?php _e( 'Turn Off CSS Link Preload (Removes the preload for render-blocking CSS files from the header).', 'codefusiononline' ); ?></label>

<br />



</fieldset></td>

</tr>



<tr>

<th scope="row"><?php _e( 'Ignore CSS files', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_css_ignore"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( "Exclude Specific CSS URLs (CSS files are grouped by mediatype, but you can choose to exclude specific files by matching the href attribute using PHP stripos).", 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[css][ignore]" rows="7" cols="50" id="codefonline_settings_css_ignore" class="large-text code" placeholder="ex: /plugins/something/assets/problem.css"><?php echo codefonline_get_settings_value($codefonline_settings, 'css', 'ignore'); ?></textarea></p>

</fieldset></td>

</tr>



<tr>

<th scope="row"><?php _e( 'Remove CSS Files', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_css_remove"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Remove Specific CSS Files (This option allows you to remove unwanted CSS files from the frontend by matching the URI path with PHP stripos against the href attribute in the <link> tag).', 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[css][remove]" rows="7" cols="50" id="codefonline_settings_css_remove" class="large-text code" placeholder="ex: fonts.googleapis.com"><?php echo codefonline_get_settings_value($codefonline_settings, 'css', 'remove'); ?></textarea></p>

</fieldset></td>

</tr>



<tr>

<th scope="row"><?php _e( 'Async CSS Files', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_css_async"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Async Load the Following CSS Files (This option allows you to asynchronously load CSS files from the frontend by matching the URI path with PHP stripos against the href attribute in the <link> tag).', 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[css][async]" rows="7" cols="50" id="codefonline_settings_css_async" class="large-text code" placeholder="ex: /plugins/something/assets/low-priority.css"><?php echo codefonline_get_settings_value($codefonline_settings, 'css', 'async'); ?></textarea></p>

</fieldset></td>

</tr>

</tbody>

</table>
</div>
<div id="tab5" class="tab-content" style="display: none;">

<div style="height: 60px;"></div>

<h2 class="title"><?php _e( 'JS Settings', 'codefusiononline' ); ?></h2>

<h3 class="codefonline-bold-green"><?php _e( 'In this section, you can manually optimize your JavaScript files and inline scripts (by default, all scripts are ignored for compatibility purposes).', 'codefusiononline' ); ?></h3>

<table class="form-table codefonline-settings">

<tbody>

<tr>

<th scope="row"><?php _e( 'JS Options', 'codefusiononline' ); ?></th>

<td>

<fieldset>

<label for="codefonline_settings_js_enable">

<input name="codefonline_settings[js][enable]" type="checkbox" id="codefonline_settings_js_enable" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'js', 'enable')); ?>>

<?php _e( 'Activate JS Processing [ This will enable processing for the settings below ]', 'codefusiononline' ); ?></label>

<br />

</fieldset></td>

</tr>

<tr>

<th scope="row"><?php _e( 'Advanced JS Options', 'codefusiononline' ); ?></th>

<td>

<fieldset>

<label for="codefonline_settings_js_combine">

<input name="codefonline_settings[js][combine]" type="checkbox" id="codefonline_settings_js_combine" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'js', 'combine')); ?>>

<?php _e( 'Merge JS Files [ Deprecated: Combines all JS files by render-blocking type (not recommended for HTTP/2 servers) ]', 'codefusiononline' ); ?></label>

<br />





<label for="codefonline_settings_js_min_disable">

<input name="codefonline_settings[js][min_disable]" type="checkbox" id="codefonline_settings_js_min_disable" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'js', 'min_disable')); ?>>

<?php _e( 'Turn Off JS Minification [ Disables JS file minification for testing purposes ]', 'codefusiononline' ); ?></label>

<br />



<label for="codefonline_settings_js_min_disable_inline">

<input name="codefonline_settings[js][min_disable_inline]" type="checkbox" id="codefonline_settings_js_min_disable_inline" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'js', 'min_disable_inline')); ?>>

<?php _e( 'Turn Off Inline JS Minification [ Disables minification of inline JavaScript for testing purposes ]', 'codefusiononline' ); ?></label>

<br />

<label for="codefonline_settings_js_inline-all">

<input name="codefonline_settings[js][nopreload]" type="checkbox" id="codefonline_settings_js_nopreload" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'js', 'nopreload')); ?>>

<?php _e( 'Turn Off JS Link Preload [ Removes the Render Blocking JS file preload from the header ]', 'codefusiononline' ); ?></label>

<br />

</fieldset></td>

</tr>





<tr>

<th scope="row"><?php _e( 'Ignore Script Files', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_js_ignore"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Exclude the following JS files from merging or minification', 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[js][ignore]" rows="7" cols="50" id="codefonline_settings_js_ignore" class="large-text code" placeholder="<?php _e( '--- ex: /plugins/something/assets/problem.js ---', 'codefusiononline' ); ?>"><?php echo codefonline_get_settings_value($codefonline_settings, 'js', 'ignore'); ?></textarea></p>

<p class="description">[ <?php _e( 'Matches JS files by their paths using PHP stripos on the script src attribute', 'codefusiononline' ); ?> ]</p>

<p class="description">[ <?php _e( 'It is advised to leave this empty and only add specific files to merge later', 'codefusiononline' ); ?> ]</p>

</fieldset></td>

</tr>
<tr>

<th scope="row"><?php _e( 'Render Blocking JS files', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_merge_header"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( 'This will block the rendering of all JS files matching the paths below', 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[js][merge_header]" rows="7" cols="50" id="codefonline_settings_js_merge_header" class="large-text code" placeholder="<?php _e( '--- example ---', 'codefusiononline' ); ?> 

/jquery-migrate.js"><?php echo codefonline_get_settings_value($codefonline_settings, 'js', 'merge_header'); ?></textarea></p>

<p class="description">[ <?php _e( 'Matches JS files by their paths using PHP stripos on the script src attribute' ); ?> ]</p>

</fieldset></td>

</tr>



<tr>

<th scope="row"><?php _e( 'Defer JS Files', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_merge_defer"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( 'This will defer all JS files matching the paths below', 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[js][merge_defer]" rows="7" cols="50" id="codefonline_settings_js_merge_defer" class="large-text code" placeholder="<?php _e( '--- example ---', 'codefusiononline' ); ?> 

/wp-admin/"><?php echo codefonline_get_settings_value($codefonline_settings, 'js', 'merge_defer'); ?></textarea></p>

<p class="description">[ <?php _e( 'Matches JS files by their paths using PHP stripos on the script src attribute', 'codefusiononline' ); ?></code> ]</p>

</fieldset></td>

</tr>



<tr>

<th scope="row"><?php _e( 'Defer Inline JavaScript', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_defer_dependencies"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Preserve the order of script execution when deferring JS file dependencies', 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[js][defer_dependencies]" rows="7" cols="50" id="codefonline_settings_js_defer_dependencies" class="large-text code" placeholder="
wp.i18n"><?php echo codefonline_get_settings_value($codefonline_settings, 'js', 'defer_dependencies'); ?></textarea></p>

<p class="description">[ <?php _e( 'Inline JavaScript matching these rules will be deferred with the script type module', 'codefusiononline' ); ?> ]</p>

<p class="description">[ <?php _e( 'Matches inline scripts by their content using PHP stripos against the script innerHTML', 'codefusiononline' ); ?> ]</p>

</fieldset></td>

</tr>



<tr>

<th scope="row"><?php _e( 'Delay JS files or inline scripts until user interaction', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_js_thirdparty"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Delay JS files or inline scripts until user interaction', 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[js][thirdparty]" rows="7" cols="50" id="codefonline_settings_js_thirdparty" class="large-text code" placeholder="function(w,d,s,l,i)"><?php echo codefonline_get_settings_value($codefonline_settings, 'js', 'thirdparty'); ?></textarea></p>

<p class="description">[ <?php _e( 'Interaction events used: mouseover, keydown, touchstart, touchmove, and wheel', 'codefusiononline' ); ?> ]</p>

<p class="description">[ <?php _e( 'Matches inline scripts or JS files by their content or src attribute using PHP stripos', 'codefusiononline' ); ?> ]</p>

</fieldset></td>

</tr>



<tr>

<th scope="row"><?php _e( 'Remove the following JS files or Inline Scripts', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_js_remove"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Remove the following JS files or Inline Scripts', 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[js][remove]" rows="7" cols="50" id="codefonline_settings_js_remove" class="large-text code" placeholder="<?php _e( '--- example ---', 'codefusiononline' ); ?> 

/some/duplicate/file.js"><?php echo codefonline_get_settings_value($codefonline_settings, 'js', 'remove'); ?></textarea></p>

<p class="description">[ <?php _e( 'This option enables you to remove unwanted script tags from the frontend', 'codefusiononline' ); ?> ]</p>

<p class="description">[ <?php _e( "It matches using PHP stripos against the script's outerHTML", "codefusiononline" ); ?> ]</p>

</fieldset></td>

</tr>





</tbody>

</table>


</div>


<div id="tab6" class="tab-content" style="display: none;">

<div style="height: 60px;"></div>

<h2 class="title"><?php _e( 'CDN Settings', 'codefusiononline' ); ?></h2>

<h3 class="codefonline-bold-green"><?php _e( 'If your CDN provider provides a different URL for your assets, you can configure it here.', 'codefusiononline' ); ?></h3>

<table class="form-table codefonline-settings">

<tbody>

<tr>

<th scope="row"><?php _e( 'CDN Options', 'codefusiononline' ); ?></th>

<td>


<fieldset>

<label for="codefonline_settings_cdn_enable">

<input name="codefonline_settings[cdn][enable]" type="checkbox" id="codefonline_settings_cdn_enable" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'cdn', 'enable')); ?>>

<?php _e( 'Activate CDN Processing [ This will enable processing for the settings below ]', 'codefusiononline' ); ?></label>

<br />



<label for="codefonline_settings_cdn_cssok">

<input name="codefonline_settings[cdn][cssok]" type="checkbox" id="codefonline_settings_cdn_cssok" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'cdn', 'cssok')); ?>>

<?php _e( 'Activate CDN for Merged CSS Files [ This will serve the generated CSS files from the CDN ]', 'codefusiononline' ); ?></label>

<br />

<label for="codefonline_settings_cdn_jsok">

<input name="codefonline_settings[cdn][jsok]" type="checkbox" id="codefonline_settings_cdn_jsok" value="1" <?php echo codefonline_get_settings_checkbox(codefonline_get_settings_value($codefonline_settings, 'cdn', 'jsok')); ?>>

<?php _e( 'Activate CDN for Merged JS Files [ This will serve the generated JS files from the CDN ]', 'codefusiononline' ); ?></label>

<br />

</fieldset></td>

</tr>

<tr>

<th scope="row"><span class="codefonline-label-special"><?php _e( 'CDN URL', 'codefusiononline' ); ?></span></th>

<td><fieldset>

<label for="codefonline_settings_cdn_domain">

<p><input type="text" name="codefonline_settings[cdn][domain]" id="codefonline_settings_cdn_domain" value="<?php echo codefonline_get_settings_value($codefonline_settings, 'cdn', 'domain'); ?>" size="80" /></p>

<p class="description">[ <?php _e( 'Ignore if CDN URL Matches Domain [ You can ignore this if your CDN URL is the same as your domain name (e.g., Cloudflare) ]', 'codefusiononline' ); ?> ]</p>

</label>

<br />

</fieldset></td>

</tr>

<tr>

<th scope="row"><?php _e( 'CDN Integration', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_cdn_integration"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( 'Additional HTML Element Replacements [ Use additional replacement rules with syntax from the Simple HTML DOM manual: https://simplehtmldom.sourceforge.io/manual.htm ]', 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[cdn][integration]" rows="7" cols="50" id="codefonline_settings_cdn_integration" class="large-text code" placeholder="--- check the help section for suggestions ---"><?php echo codefonline_get_settings_value($codefonline_settings, 'cdn', 'integration'); ?></textarea></p>

</fieldset></td>

</tr>

</tbody></table>
</div>

<div id="tab7" class="tab-content" style="display: none;">

<div style="height: 60px;"></div>

<h2 class="title"><?php _e( 'Query Strings', 'codefusiononline' ); ?></h2>

<h3 class="codefonline-bold-green"><?php _e( 'Enable processing of CSS, JS, and HTML for specific query strings', 'codefusiononline' ); ?></h3>

<table class="form-table codefonline-settings">

<tbody>

<tr>

<th scope="row"><?php _e( 'Allowed Query Strings', 'codefusiononline' ); ?></th>

<td><fieldset>

<label for="codefonline_settings_settings_qs"><span class="codefonline-bold-green codefonline-rowintro"><?php _e( 'List one query string key per line [ This allows you to specify additional query string keys for processing, with each key placed on a new line. ]', 'codefusiononline' ); ?></span></label>

<p><textarea name="codefonline_settings[settings][qs]" rows="7" cols="50" id="codefonline_settings_settings_qs" class="large-text code" placeholder="--- check the help section for suggestions ---"><?php echo codefonline_get_settings_value($codefonline_settings, 'settings', 'qs'); ?></textarea></p>

</fieldset></td>

</tr>

</tbody></table>

</div>
<div id="tab8" class="tab-content" style="display: none;">

<div style="height: 60px;"></div>

<h2 class="title"><?php _e( 'User Settings', 'codefusiononline' ); ?></h2>

<h3 class="codefonline-bold-green"><?php _e( "For compatibility reasons, optimizations should only be applied to anonymous users by default. [ This ensures that optimizations don't interfere with logged-in user experiences or site administration tasks. ]", "codefusiononline" ); ?></h3>

<table class="form-table codefonline-settings">

<tbody>



<tr>

<th scope="row"><?php _e( 'User Options', 'codefusiononline' ); ?></th>

<td>


<fieldset>

<?php

# output user roles checkboxes

echo codefonline_get_user_roles_checkboxes();

?>

</fieldset></td>

</tbody></table>



</div>

<input type="hidden" name="codefonline_action" value="save_settings" />

<p class="submit"><input type="submit" class="button button-primary" value="<?php _e( 'Save Changes', 'codefusiononline' ); ?>"></p>



</form>

</div>

<?php 

}

